@import '../../scss';

.buttonsAfterMint {
  width: 100%;
  display: grid;
  justify-items: stretch;
  row-gap: 15px;
}

.button {
  font-family: MontSerrat;
  font-weight: 600;
  font-size: 18px;
  line-height: 21.94px;
  letter-spacing: 2%;
  color: white;
  border: none;
  cursor: pointer;
  text-decoration: none;
  display: inline;
  margin: 0 0 10px 0;
  background-color: #00b218;
  filter: drop-shadow(0px 4px 4px rgba(0, 0, 0, 0.25));
  text-transform: uppercase;

  width: 223.71px;
  height: 41.81px;
  padding: 0 17px;
  border-radius: 15px;

  &:disabled {
    background: rgba(0, 179, 24, 0.5) !important;
    cursor: not-allowed;
  }

  @media (min-width: 768px) {
    width: 347.81px;
    height: 65px;
  }
}

.warning {
  text-align: center;
  font-size: 10px;
  font-weight: 500;
  color: #ff9500;
}

.actionButton {
  font-family: 'Montserrat';
  font-style: normal;
  font-weight: 600;
  font-size: 18px;
  line-height: 22px;
  width: 100%;
  height: 50px;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  letter-spacing: 0.02em;
  text-transform: uppercase;
  text-decoration: none;
  color: #201747;
  background: #ffcd00;
  box-shadow: 0px 0px 80px rgba(27, 204, 50, 0.5);
  border-radius: 15px;

  @media (min-width: 768px) {
    min-width: 230px;
    height: 65px;
  }
}

.eligibilityError {
  font-size: 10px;
  font-weight: 700;
  font-family: Montserrat;
  color: red;
}

.buttons {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 28px;
}